Skip to content

スキル更新 Tier 4

PATCH/api/skills/:idCopied!

ワークスペーススキルを更新します。

Proプランが必要です

Skill RegistryはProプラン以上で利用できます。

YouViCo管理型スキル

YouViCo管理型スキルにはこのエンドポイントを使用できません。

ts
await client.skills.update("SK1234567890ABCD", {
  description: "Summarizes review comments.",
  metadata: null,
  allowedTools: null,
  license: null,
  default: { id: "SV1234567890ABCD" },
});
bash
youvico skill update \
  --id SK1234567890ABCD \
  --description "Summarizes review comments." \
  --clear-metadata \
  --clear-allowed-tools \
  --clear-license \
  --default-version SV1234567890ABCD
bash
curl -X PATCH 'https://api.youvico.com/api/skills/SK1234567890ABCD' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Summarizes review comments.",
    "metadata": null,
    "allowedTools": null,
    "license": null,
    "default": { "id": "SV1234567890ABCD" }
  }'

リクエスト

パス

idstringrequired
スキルID

ボディ

namestring

1-100 characters

スキル名
descriptionstring

1-1024 characters

スキル説明
metadataRecord<string, string>?
スキルに保存する文字列メタデータ
allowedToolsstring[]?
許可されたツール識別子
licensestring?
スキルライセンス
defaultobject
デフォルトバージョンオブジェクト
default.idstring
デフォルトスキルバージョンID

Example: SV1234567890ABCD

レスポンス

204 No Content を返します。